# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

IUSE=""

DESCRIPTION="The D Programming Language"
SRC_URI="ftp://ftp.digitalmars.com/${PN/-bin/}.zip"
HOMEPAGE="http://www.digitalmars.com/"

DEPEND="sys-devel/gcc"

KEYWORDS="x86"
LICENSE="GPL-1"
SLOT=0

S="${WORKDIR}/${PN/-bin/}"

src_compile(){
	return
}

src_install(){
	dodir /usr/bin
	dodir /usr/lib
	dodir /usr/lib/dmd
	dodir /etc

	dolib lib/libphobos.a
	exeinto /usr/bin
	doexe bin/dmd bin/obj2asm bin/dumpobj

	insinto /etc
	doins bin/dmd.conf
	dosed "s:/home/wgb/yourname/dmd/src/phobos:/usr/lib/dmd/phobos:" \
		/etc/dmd.conf

	cd ${S}/src/phobos
	ln -s std/* .
	ln -s internal/* .

	cd ${S}
	cp -r src/phobos ${D}/usr/lib/dmd

	dodoc license.txt
	newdoc bin/readme.txt readme.bin.txt
	newdoc lib/readme.txt readme.lib.txt

	cd html
	dohtml dmlogo.gif
	docinto html/d
	dohtml d/*

	cd ${S}/samples/d
	docinto samples/d
	dohtml *
}
